Bug 1337300 - file completion doesn't work for libreswan import
Summary: file completion doesn't work for libreswan import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Rashid Khan
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 18:35 UTC by Vladimir Benes
Modified: 2016-11-03 19:10 UTC (History)
6 users (show)

Fixed In Version: NetworkManager-1.4.0-0.1.git20160606.b769b4df.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:10:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-05-18 18:35:23 UTC
Description of problem:
when i hit tab after 'nmcli connection import type libreswan file' it does nothing. It should show files.

Version-Release number of selected component (if applicable):
NetworkManager-1.2.0-1.el7.x86_64

Comment 1 Rashid Khan 2016-05-18 21:54:58 UTC
Setting to LOW LOW if tab completion is the only problem.

If you cannot see the files at all, then please feel free to raise the priority

Comment 2 Vladimir Benes 2016-05-19 08:53:45 UTC
I cannot see the files when hitting tab. I have to remember in which file the vpn conf is actually in. This always leads to deleting the command running ls and executing it again.

Comment 3 Thomas Haller 2016-05-19 09:32:18 UTC
I hijacked this BZ for additional issues that I found.
Fixed bash-completion + other related fixes here:

please review: th/cli-vpn-import-fixes-rh1337300

Comment 4 Beniamino Galvani 2016-05-19 09:47:59 UTC
(In reply to Thomas Haller from comment #3)
> please review: th/cli-vpn-import-fixes-rh1337300

LGTM

Comment 5 Francesco Giudici 2016-05-19 10:54:43 UTC
lgtm

Comment 9 errata-xmlrpc 2016-11-03 19:10:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.